Bug 4969 - [Update Request] eduke32
: [Update Request] eduke32
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Contributed Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-28 15:58 MSK by Zombie Ryushu
Modified: 2015-06-03 13:24 MSD (History)
2 users (show)

See Also:
RPM Package: eduke32
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zombie Ryushu 2015-01-28 15:58:02 MSK
Due to the upcoming release of an updated version of Blood: Crossmatching, I request that eduke32 be updated for Rosa 2014.1.
Comment 1 Andrey Bondrov 2015-01-28 16:52:49 MSK
I'll try.
Comment 2 Andrey Bondrov 2015-01-28 18:55:22 MSK
Done, eduke32 is now latest snapshot (20150125-4950). Seems to work fine for me.
Comment 3 Zombie Ryushu 2015-01-28 19:11:11 MSK
Would you attempt a 2012.1 Backport?
Comment 4 Andrey Bondrov 2015-01-28 19:28:32 MSK
(In reply to comment #3)
> Would you attempt a 2012.1 Backport?

Looks like it requires gcc 4.8+ to build. So no luck with rosa2012.1.
Comment 5 Zombie Ryushu 2015-01-30 18:01:12 MSK
I need to re-open this bug, for some reason Midi plays at 200% Speed, the game runs fine, but the Midi isn't supposed to run that fast. Can we build a different snapshot?
Comment 6 Andrey Bondrov 2015-01-30 19:28:57 MSK
(In reply to comment #5)
> I need to re-open this bug, for some reason Midi plays at 200% Speed, the
> game runs fine, but the Midi isn't supposed to run that fast. Can we build a
> different snapshot?

IMHO, you should file an upstream bug so upstream can fix the issue. For me music seems to play fine.
Comment 7 Zombie Ryushu 2015-04-11 17:29:03 MSD
Re-Opening this bug. Upstream verified 200% Midi bug. Requesting update with Upstream.
Comment 8 Andrey Bondrov 2015-04-12 15:20:47 MSD
(In reply to comment #7)
> Re-Opening this bug. Upstream verified 200% Midi bug. Requesting update with
> Upstream.

I pushed new snapshot 5141 from 20150412 to updates.
Comment 9 Zombie Ryushu 2015-06-03 09:19:20 MSD
Could you upgrade it to another snapshot and also build it against SDL1 rather than SDL2?
Comment 10 Andrey Bondrov 2015-06-03 10:15:30 MSD
(In reply to comment #9)
> Could you upgrade it to another snapshot and also build it against SDL1
> rather than SDL2?

Latest snapshot fails to build:

/tmp/cc6tOFK8.ltrans24.ltrans.o: In function `main':
cc6tOFK8.ltrans24.o:(.text.startup+0x65c): undefined reference to `startbanner_pixdata'

Let's try another one in a week or two.
Comment 11 Zombie Ryushu 2015-06-03 10:41:23 MSD
Can we try our existing build against SDL1?
Comment 12 Andrey Bondrov 2015-06-03 11:20:26 MSD
(In reply to comment #11)
> Can we try our existing build against SDL1?

Surely. Please test:

https://abf.rosalinux.ru/build_lists/2507011
https://abf.rosalinux.ru/build_lists/2507012

BTW, have you reported your issues with SDL2 to upstream (SDL bugtracker)? Can you please give me the link so I could track it too?
Comment 13 Zombie Ryushu 2015-06-03 11:33:35 MSD
The Music plays at normal Speed on the SDL1 Build.
Comment 14 Andrey Bondrov 2015-06-03 13:24:05 MSD
Good, let's mark this bug fixed then.